---
title: <solidcolor>
slug: Web/SVG/Element/solidColor
tags:
  - Element
  - Experimental
  - Reference
  - SVG
---
<div>{{SVGRef}}{{obsolete_header}}</div>

<p class="seoSummary">The <strong><code>&lt;solidcolor&gt;</code></strong> <a href="/en-US/docs/Web/SVG">SVG</a> element lets authors define a single color for use in multiple places in an SVG document. It is also useful as away of animating a palette colors.</p>

<p class="note"><strong>Note:</strong> This is an experimental technology, and not yet implemented in browsers. A workaround is to use a {{SVGElement("linearGradient")}} with only one color stop. This is less elegant, and unlike <code>&lt;solidcolor&gt;</code>, cannot itself be used in the definition of gradients.</p>

<h2 id="Usage_context">Usage context</h2>

<p>{{svginfo}}</p>

<h2 id="Attributes">Attributes</h2>

<h3 id="Global_attributes">Global attributes</h3>

<ul>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Core_attributes">Core attributes</a></li>
 <li><a href="/en-US/docs/Web/API/GlobalEventHandlers">Global event attributes</a></li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Presentation_attributes">Presentation attributes</a></li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Style_attributes">Style attributes</a></li>
</ul>

<h3 id="Specific_attributes">Specific attributes</h3>

<p><em>None.</em></p>

<h2 id="DOM_interface">DOM interface</h2>

<p>This element implements the {{domxref("SVGSolidcolorElement")}} interface.</p>

<h2 id="Example">Example</h2>

<h3 id="SVG">SVG</h3>

<pre class="brush: html notranslate">&lt;svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 300 200" height="150"&gt;
  &lt;defs&gt;
    &lt;!-- solidColor is experimental. --&gt;
    &lt;solidcolor id="myColor" solid-color="gold" solid-opacity="0.8"/&gt;

    &lt;!-- linearGradient with a single color stop is a less elegant way to
         achieve the same effect, but it works in current browsers. --&gt;
    &lt;linearGradient id="myGradient"&gt;
      &lt;stop offset="0" stop-color="green" /&gt;
    &lt;/linearGradient&gt;
  &lt;/defs&gt;

  &lt;text x="10" y="20"&gt;Circles colored with solidColor&lt;/text&gt;
  &lt;circle cx="150" cy="65" r="35" stroke-width="2" stroke="url(#myColor)"
      fill="white"/&gt;
  &lt;circle cx="50" cy="65" r="35" fill="url(#myColor)"/&gt;

  &lt;text x="10" y="120"&gt;Circles colored with linearGradient&lt;/text&gt;
  &lt;circle cx="150" cy="165" r="35" stroke-width="2" stroke="url(#myGradient)"
      fill="white"/&gt;
  &lt;circle cx="50" cy="165" r="35" fill="url(#myGradient)"/&gt;
&lt;/svg&gt;
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example")}}</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.solidcolor")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("SVGSolidcolorElement")}}</li>
 <li>{{cssxref("solid-color")}}</li>
 <li>{{cssxref("solid-opacity")}}</li>
 <li>{{SVGElement("linearGradient")}}</li>
</ul>
